#ifndef PLOTTURNS_H
#define PLOTTURNS_H

#include <QWidget>
#include "../sensors/TurnSensor.h"
#include <Indoor/data/Timestamp.h>

class PlotTurns : public QWidget {

	Q_OBJECT

private:

	TurnData data;

public:

	explicit PlotTurns(QWidget *parent = 0);

	void add(const Timestamp ts, const TurnData& data);

	//QSize sizeHint() const {return QSize(96, 96);}

signals:

public slots:

	void paintEvent(QPaintEvent*);

};

#endif // PLOTTURNS_H
